summaryrefslogtreecommitdiffstats
path: root/build-gluster-org/scripts/lcov.sh
diff options
context:
space:
mode:
authorNigel Babu <nigelb@redhat.com>2018-02-15 11:52:53 +0530
committerNigel Babu <nigelb@redhat.com>2018-02-20 05:51:17 +0000
commit9169fc518cf02b24e1915b507f63762dbea32072 (patch)
tree0d2595e025a8a60876f537a512629463ca3c4695 /build-gluster-org/scripts/lcov.sh
parent48d5c58b06756a38f4d39e2a5170c017aa6e7507 (diff)
Fix lcov and change regression node label
The line coverage tests ran smoke before regression Smoke, after it's run cleans up the /var/lib/glusterd directory. This directory is required for a bunch of different tests. So if we try to run regressions without it, we create unexpected results. It's time to move all of regressions to exclusively run on Centos 7. All Centos 6 machines are officially now deprecated. We'll use a new tag and add more Centos 6 machines as the week goes. Change-Id: Idd38dd83c8c484163d8c62879868d318517eedab
Diffstat (limited to 'build-gluster-org/scripts/lcov.sh')
-rw-r--r--build-gluster-org/scripts/lcov.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/build-gluster-org/scripts/lcov.sh b/build-gluster-org/scripts/lcov.sh
index a2b5a9e..6de3dc1 100644
--- a/build-gluster-org/scripts/lcov.sh
+++ b/build-gluster-org/scripts/lcov.sh
@@ -36,11 +36,13 @@ lcov -d . --zerocounters
lcov -i -c -d . -o coverage/glusterfs-lcov.info
set +e
-echo "Running the smoke tests"
-sudo -E bash /opt/qa/smoke.sh -c
-
echo "Running the regression test"
sudo -E bash /opt/qa/regression.sh -c
+REGRESSION_STATUS=$?
+
+echo "Running the smoke tests"
+sudo -E bash /opt/qa/smoke.sh -c
+SMOKE_STATUS=$?
echo "Capturing the line coverage in the .info file"
lcov -c -d . -o coverage/glusterfs-lcov.info
@@ -49,3 +51,9 @@ sed -i.bak '/stdout/d' coverage/glusterfs-lcov.info
#Generating the html page for code coverage details using genhtml
genhtml -o coverage/ coverage/glusterfs-lcov.info
echo "The HTML report is generated as index.html file"
+
+if [ $REGRESSION_STATUS -ne 0 ] || [ $SMOKE_STATUS -ne 0 ];
+ then
+ echo "Smoke test or regression tests failed"
+ exit 1
+fi